#ifndef __GAMEPLAYSCENE_H__
#define __GAMEPLAYSCENE_H__

#include "cocos2d.h"

#include "SpawnLitter.h"

using namespace cocos2d;

class GamePlayScene :public Layer
{
public:
	static Scene* createScene();

	virtual bool init();

	bool onTouchBegan(Touch* touch, Event* event);
	void onTouchMoved(Touch* touch, Event* event);
	void onTouchEnded(Touch* touch, Event* event);

	Size visibleSize = Director::getInstance()->getVisibleSize();
	Vec2 origin = Director::getInstance()->getVisibleOrigin();

	
	Sprite *plane = Sprite::create("plane.png");
	PhysicsBody *spriteBody;

	SpawnLitter litter_1;

	

	CREATE_FUNC(GamePlayScene);

private:
	
	PhysicsWorld* sceneWorld;

	void setPhysicsWorld(PhysicsWorld* world)
	{
		sceneWorld = world;
	}

	bool onContactBegin(PhysicsContact & contact);

	bool bTouch;

	void SpawnLitter(float dt);

	void update(float dt);

};



#endif